===============
Version 0.14.2
===============

* Fixed parsing dates on GomDate
* New and updated translations:
    Update Hungarian              by Balázs Úr <urbalazs@gmail.com>
    Updated German                by Mario Blättermann <mario.blaettermann@gmail.com>
    Update Indonesian             by Andika Triwidada <atriwidada@gnome.org>
    Updated Polish                by Piotr Drąg <piotrdrag@gmail.com>
    Updated Brazilian Portuguese  by Rafael Fontenelle <rafaelff@gnome.org>

===============
Version 0.14.1
===============

* valadoc in not necesary to build from tarball
* New and updated translations:
    Updated Swedish   by Josef Andersson <l10nl18nsweja@gmail.com>
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>

===============
Version 0.14
===============

* API additions now GXml.Text.str is writable see Bug #779038
* Fixed running conditions on XParser
* Vala required version is set to 0.34.6
* Some documentation additions
* Build system improvements (Rico Tzschichholz)
* Removing lot of warnings
* Simplified GomHashMap using MappeableElement
* Added new interface MappeableElementPairKey for double key hash collections
* Added GomHashPairedMap collection using MappeableElementPairKey
* New GomObject.clean_property_elements() to search and remove redundant
  nodes of requested property.
* New GomObject.find_elements() to search and return a list of all child
  elements of same type.
* Added documentation on how to define properties removing redundant
  child nodes.
* Added --disable-docs switch
* Renamed IXsdListAttributesGroup, remember this is unstable API
* Improved VALAC_CHECK and new VALA_PKG_CHECK macros
* New and updated translations:
    Updated Brazilian   by Rafael Fontenelle <rafaelff@gnome.org>
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>
    Updated Servian     by Мирослав Николић <miroslavnikolic@rocketmail.com>

===============
Version 0.13.98
===============

* GOM implementation improvements:
    - GomProperty now requires to use nick with a :: prefix to serialization
      this removes property initialization
    - GomElement improvements, fixes and new read from stream method
* Documentation improvements with examples
* GOM Attributes access fixes
* Added convenient methods to easy implementation of derived classes
* Improved GomCollection implementations: HashMap, ArrayList and HashPairedMap
* New GomProperty implementations for Date, DateTime
* New and updated translations:
    Updated Brazilian   by Rafael Fontenelle <rafaelff@gnome.org>
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>
    Updated Czech       by Marek Černocký <marek@manet.cz>

===============
Version 0.13.90
===============

* Added XSD interfaces (unstable) and GXml.Gom* implementation
* Fixes on GXml.Gom* reading and writing namespaces
* New and updated translations:
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>


===============
Version 0.13.0
===============

* Enable documentation generation by default
* Added XPath interfaces and initial implementation based on libxml2
* Removed old DOM1 implementation on xNode/xDocument
* API change on DomImplementation.with_ids () for DocumentType to DomDocumentType
* API change changed long/ulong to int
* Added new DOM4 implementation called GOM
* API change GXml.NodeType changed X_UNKNOWN to INVALID
* API change fixed DomElement.set_attribute/_ns now requires not null values
* New Serialization framework using GOM for GObject classes
* New and updated translations:
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>
    Updated Hungarian   by Balázs Meskó <meskobalazs@gmail.com>
    Updated German      by Christian Kirbach <Christian.Kirbach@gmail.com>
    Updated Czech       by Marek Černocký <marek@manet.cz>


===============
Version 0.12.0
===============

* Fixed vapi installation, honoring vala pc file
* Fixed Bug #760568
* Fixed Bug #769363
* Simplified documentation generation using just --enable-docs
* Removed Node.childs
* DOM4 implementation:
    API Changes:
        * Node.children now is Node.children_nodes
        * Element.set_ns_attr now use string for namespace, considering if prefix is included in URI.
    API Addintions:
        * DOM4 interfaces
        * DOM4 collection implementations
        * Node: get_elements_by_name (), get_elements_by_name_ns ()
    Implementations:
        * GNode series implement DOM4 interfaces
    Deprecations:
        * xNode/xDocument type classes now are deprecated, they use an old DOM1 API
* New and updated translations:
    Updated Serbian     by Мирослав Николић <miroslavnikolic@rocketmail.com>
    Updated Czech       by Marek Černocký <marek@manet.cz>
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>
    Updated Hungarian   by Balázs Meskó <meskobalazs@gmail.com>
    Updated Spanish     by Daniel Mustieles <daniel.mustieles@gmail.com>
    Added Indonesian    by Andika Triwidada <atriwidada@gnome.org>
    Updated Brazilian Portuguese by Enrico Nicoletto <liverig@gmail.com>
* TNode based classes API changes:
    * TDocument.read_doc_stream() now throws GLib.Error
* Reducing number of warnings at valac compilation time
* Bump version of required VALAC to 0.32, due to use of [Version] annotation
* Updated Debian packaging by Yannick Inizan <inizan.yannick@gmail.com>

===============
Version 0.10.0
===============

* New and updated translations:
    Added zh_CN         by Yating Kuang <yatingkuang@ubuntukylin.com>
    Updated Swedish     by Anders Jonsson <anders.jonsson@norsjovallen.se>
    Updated German      by Mario Blättermann <mario.blaettermann@gmail.com>
    Updated Brazilian Portuguese by Enrico Nicoletto <liverig@gmail.com>
    Updated Czech       by Marek Černocký <marek@manet.cz>
    Updated Serbian     by Марко М. Костић <marko.m.kostic@gmail.com>
    Updated Hungarian   by Balázs Meskó <meskobalazs@gmail.com>
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>


===============
Version 0.9.92
===============

* New contructor methods for TDocument using custome ReadTypeFunc
* Bug fixes
* New and updated translations:
    Updated Polish      by Piotr Drąg <piotrdrag@gmail.com>
    Updated Serbian     by Мирослав Николић <miroslavnikolic@rocketmail.com>

==========================
Version 0.9.90 and 0.9.91
==========================

* New TDocument.from_stream(), .from_string and .from_uri() methods
* API change TwNode and derived classes renamed to TNode
* Added parse capabilities to TDocument
* Improved performance tests, pointing: GDocument has better memory usage and
  better performance than xDocument; TDocument has better performance but more
  memory usage than GDocument.
* Bug fixes
* New and updated translations:
    Added Hungarian              by Matej Urbančič <mateju@svn.gnome.org>
    Added Slovenian              by Matej Urbančič <mateju@svn.gnome.org>
    Added Greek                  by Γιάννης Κουτσούκος <giankoyt@gmail.com>
    Added Swedish                by Anders Jonsson <anders.jonsson@norsjovallen.se>
    Updated Czech                by Marek Černocký <marek@manet.cz>
    Updated Brazilian Portuguese by Rafael Fontenelle <rafaelff@gnome.org>


===============
Version 0.9.2
===============

* API change Serializable.deserialize now return a boolean

* API change SerializableCollection: added new abstract methods for post-deserialization

* SerializableCollection: Implementations now support enable/disable deserialization
  for post-deseralization using SerializableCollection.deserialize_children() for initial
  document load time optimization

* More memory optimizations: SerializableCollection implementations don't hold
  objects for unknown properties/nodes



===============
Version 0.9.1
===============

* Added GXml.Node.parent property
* Performance measuring: GDocument equivalent to xDocument
* Memory usage: GDocument 42% less memory
* Memory for de/serialization using GDocument+TwDocument Vs.
  xDocument+TwDocument improved using 63% less memory


===============
Version 0.9.0
===============

API/ABI break

* API change: Removed GXml.SerializableJson and GXml.Serialization, due to they
  have been unmaintained for a while now.

* API change: GXml.NodeList is now a Gee.ArrayList<GXml.Node> specialiced class for better
  bindings support. The old class has been renamed to GXml.xNodeList.

* API change: Most interfaces now return owned properties in order to allow implementations
  to handle its internals without expose/keep in memory some data, returning
  objects just on request.

* New libxml2 implementation called GNode and derivatives, expected to replace
  old implementation. It is a creating objects on demand.

* New HtmlDocument for HTML handling

* Element interface removed finalize_attr (), due it is unsed

* Element added new get_ns_attr() for namespaced attributes

* Element implements set_ns_attr()

* xNode and derivatives enter to a maintenace status, in order
  to be deprecated in future, some tests haven't been added
  due to its internal complexity, like poor namespaces support. Is
  better to relay on GNode and derivatives. DOM API will be added
  in future versions to deprecate and remove xNode derivatives.

* Serializable tests now relay on GDocument

* Fixes on Unit Tests

* Added more stressful performance tests, to compare xDocument vs GDocument with
  equivalent performance


===============
Version 0.8.2
===============

* Fixed sigfault on xDocument.from_stream()
* Added test for remote file read using GLib.File

=============

Version 0.8.1
=============

Most changes improves GIO GLib.File use, trying to read/write any file from/to
local or remote locations.

* GXml.Document gains a backup property, set to true by default to save files
  with a backup operation
* GXml.Document.save_as() now is abstract, you should implement it.
* GXml.Document.save_as() now should not overwrite its file property

* GXml.DomException.warning() now is deprecated use exception(), now message on
  errors just printed when -D DEBUG is used at compile time
* Added Xmlx.reset_last_error() and used to cleanup errors before each operation
* Added Xmlx.context_get_last_error() to deprecate parser_context_get_last_error ()
* Added Xmlx.context_reset_last_error()
* Xmlx methods now have sanity checks asserts

* xDocument.from_stream() now use GIO internally to open any GLib.File valid object
* xDocument.from_string() now don't fails on XML with no root
* xDocument.save_to_stream()  now use GIO internally to write to any GLib.File valid object

* TwDocument.save_to() deprecated by save_as() from GXml.Document implementation

* New Translations:
  * Added German translation by                 Mario Blättermann
  * Added Brazilian Portuguese translation by   Rafael Fontenelle

=============
Version 0.8.0
=============

This new version is API compatible with 0.6 series

* Added SerializableValueList, SerializableBool, SerializableDouble, SerializableFloat,
  SerializableInt, SerializableEnum, for nullable attributes to avoid them be in
  XML file. All properties are based on new SerializableProperty interface.

* Improved documentation

* Added support for translations:
  - Added Serbian    by  Мирослав Николић
  - Added Spanish    by  Daniel Mustieles
  - Added Portuguese by  Pedro Albuquerque
  - Added Czech      by  Marek Černocký
  - Added Polish     by  Piotr Drąg
   

=============
Version 0.6.0
=============

This new version is API/ABI incompatible with 0.4 series.

Most work has been on simplifying API for Vala programers users, using interfaces and
Gee classes, allowing to create new backends based or different from libxml2. This
work allowed to re-implement existing classes without radically modify API for existing
applications and makes room to improve performance and memory usage.

News and changes are as follow:


* Added new interfaces to simplify implementing new backends for XML reading/writting,
  containers are Gee ones.

* Renamed GXml 0.4 DOM classes to prefixing a "x", to avoid conflicts with new interfaces

* GXml DOM classes, now implement new interfaces

* GXml DOM classes now implement Gee interfaces to access directly to libxml2 structures,
  reducing extra processing and memory consumption when they are referenced from permament
  on memory GObject classes. Reimplementing most other DOM classes to implement Gee classes
  in on roadmap, to reduce memory and possibly increase performance on parsing.

* Improved XML namespaces handling

* Added new TwDocument class, as pure Vala XML tree container implementation of
  new interfaces

* Implemented a 3-5 times faster XML writer using TwDocument and libxml2 xmlTextWriter.
  A new TwDocument and xmlTextReader is on roadmap, to improve parsing performance.

* Serializable framework ported to new interfaces, allowing to use different
  backends when serialize/deserialize GObjects.

* Serializable and its implementations, has gained serialization performance improvements
  using TwDocument and better namespace handling.

* Improved documentation

* Added --enable-performance-tests, just to reduce the time required to run all
  unit tests.

New interfaces makes room to convert any GObject as a GXml.Node object, making de/serialization
more transparent and possibly better performance and memory usage reduction, by avoiding
intermediate XML trees using libxml2 or TwDocument. Another plan includes, GObject mapping to XSD.

=============
Version 0.4.2
=============
- Fixes to Vala bindings documentation for DevHelp (Daniel Espinosa)
- Preview of gtk-doc and documented GIR generation (Daniel Espinosa)


=============
Version 0.4.1
=============
- Fixed compile with Vala 0.26 (Daniel Espinosa)

=============
Version 0.4
=============
- Added Examples (Richard Schwarting)
- Improved Build system (Daniel Espinosa)
- Windows crosscopilation support (Daniel Espinosa)
- Added/Improved Serialization Framework (Richard Schwarting, Daniel Espinosa)
- Added missing License (Richard Schwarting)
- Renamed DomNode to Node (Richard Schwarting)
- Added Unit Tests (Richard Schwarting, Daniel Espinosa)

=============
Version 0.3.2
=============
GXml
	* autotools (Javier Jardon)
	* internally updated to gee-0.8 (Daniel Espinosa)
	* test improvements and fixes (Arnel Borja)
	* doc updates and fixes
	* more examples
	* serialization caching
	* major memory fixes (Document manages its nodes' references; don't free them yourself)
	* fewer compile time warnings:
	  * libxml-2.0.vapi fixes,
	  * no longer uses -Wall; many warnings from valac, out of our control
	* bug fixes

=============
Version 0.3.1
=============
GXml
	* autotools fixes
	* bug fixes

=============
Version 0.3.0
=============
GXml
        * third release
	* serialization support
	* working documentation
	* autotools, GObject Introspection, and more (Daniel Espinosa Ortiz)

=============
Version 0.0.2
=============
GXml
	* second release


=============
Version 0.0.1
=============
GXml
	* first release
